Summary:	X.org input driver for Synaptics and ALPS touchpads
Summary(pl.UTF-8):	Sterownik wejściowy X.org do touchpadów Synaptics oraz ALPS
Name:		xorg-driver-input-synaptics
Version:	1.8.2
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/archive/individual/driver/xf86-input-synaptics-%{version}.tar.bz2
# Source0-md5:	8ed68e8cc674dd61adb280704764aafb
Patch0:		restore-shm1.patch
Patch1:		restore-shm2.patch
Patch2:		more-fingers.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	libevdev-devel >= 1.2
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libXi-devel >= 1.2
BuildRequires:	xorg-lib-libXtst-devel >= 1.0.99.1
BuildRequires:	xorg-proto-inputproto-devel >= 2.1.99.3
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-recordproto-devel
BuildRequires:	xorg-util-util-macros >= 1.13
BuildRequires:	xorg-xserver-server-devel >= 1.12
Requires:	xorg-lib-libXi >= 1.2
Requires:	xorg-lib-libXtst >= 1.0.99.1
Requires:	xorg-xserver-server >= 1.12
%{?requires_xorg_xserver_xinput}
Obsoletes:	X11-input-synaptics
Obsoletes:	X11-synaptics
Obsoletes:	XFree86-input-synaptics
Obsoletes:	xorg-app-synaptics
ExcludeArch:	sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Synaptics touchpads.

%description -l pl.UTF-8
Sterownik wejściowy X.org do touchpadów Synaptics.

%package devel
Summary:	Header file for synaptics driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika synaptics
Group:		Development/Libraries

%description devel
Header file for synaptics driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika synaptics.

%prep
%setup -q -n xf86-input-synaptics-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/input/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/synclient
%attr(755,root,root) %{_bindir}/syndaemon
%attr(755,root,root) %{_libdir}/xorg/modules/input/synaptics_drv.so
%{_datadir}/X11/xorg.conf.d/50-synaptics.conf
%{_mandir}/man1/synclient.1*
%{_mandir}/man1/syndaemon.1*
%{_mandir}/man4/synaptics.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/synaptics.h
%{_includedir}/xorg/synaptics-properties.h
%{_pkgconfigdir}/xorg-synaptics.pc
%changelog
* Wed Jul 22 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-input-synaptics.git;a=log;h=f7d2631d62771f64d8a7d65556959c910d4d1145

* Sat May 16 2015 Jan Rękorajski <baggins@pld-linux.org> f7d2631
- restore SHM and monitor functionality
- add 4 and 5 fingers events
- rel 2

* Fri Mar 27 2015 Lukasz Masko <lmasko@pld-linux.org> df3c985
- Up to 1.8.2.

* Thu Sep 18 2014 Lukasz Masko <lmasko@pld-linux.org> 3325cb3
- Up to 1.8.1.

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d843642
- xserver rebuild
- release 3 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f8c1474
- xserver rebuild
- release 2 (by relup.sh)

* Tue May 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 41529e0
- up to 1.8.0

* Fri May 09 2014 Jakub Bogusz <qboosh@pld-linux.org> c1b7219
- updated to 1.7.5

* Wed Mar 12 2014 Lukasz Masko <lmasko@pld-linux.org> 1261b81
- Up to 1.7.4.

* Wed Jan 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 838c15c
- updated to 1.7.3

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 0b91910
- release 2 (by relup.sh)

* Mon Dec 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 56f2672
- updated to 1.7.2

* Mon May 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 0bbb1ef
- updated to 1.7.1

* Tue Apr 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 54ae8d0
- updated xserver version, BR: randrproto

* Tue Apr 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e94ddde
- up to 1.7.0

* Wed Mar 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fd1afa5
- rel 2

* Fri Feb 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 170f951
- up to 1.6.3

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 49ee891
- release 2 (by relup.sh)

* Wed Jun 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 1bbc886
- updated to 1.6.2

* Fri May 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 28d2088
- up to 1.6.1

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 50ffa2c
- up to 1.6.0

